/*
Copyright 2015 Google Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package com.google.security.zynamics.binnavi.Gui.Debug.ThreadPanel;

import com.google.security.zynamics.binnavi.debug.models.processmanager.TargetProcessThread;

import java.awt.Dimension;

import javax.swing.JComboBox;

/**
 * Combobox that can be used to display thread IDs
 */
public final class CThreadComboBox extends JComboBox<TargetProcessThread> {
  /**
   * Creates a new thread combobox object.
   */
  public CThreadComboBox() {
    setPreferredSize(new Dimension(130, 20));
    setRenderer(new CTIDBoxRenderer());
  }

  @Override
  public TargetProcessThread getSelectedItem() {
    return (TargetProcessThread) super.getSelectedItem();
  }
}
