/*
Copyright 2015 Google Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package com.google.security.zynamics.reil.algorithms.mono.interfaces;

import java.util.List;

/**
 * Lattice interface that must be implemented by all lattice objects.
 * 
 * @param <LatticeElement> Type of the elements in the lattice.
 */
public interface ILattice<LatticeElement extends ILatticeElementMono1<LatticeElement>, ObjectType> {
  LatticeElement combine(List<IInfluencingState<LatticeElement, ObjectType>> states);
}
