/*
Copyright 2014 Google Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package com.google.security.zynamics.binnavi.Config;

import com.google.security.zynamics.binnavi.config.IGraphColors;

import java.awt.Color;

public final class MockGraphColors implements IGraphColors {

  @Override
  public Color getActiveBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getActiveLineColor() {
    return Color.BLACK;
  }

  @Override
  public Color getAddressColor() {
    return Color.BLACK;
  }

  @Override
  public Color getAdjustorThunkFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getBasicBlocksColor() {
    return Color.BLACK;
  }

  @Override
  public Color getConditionalJumpFalseColor() {
    return Color.BLACK;
  }

  @Override
  public Color getConditionalJumpTrueColor() {
    return Color.BLACK;
  }

  @Override
  public Color getDeletingBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getDisabledBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getEnabledBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getEnterInlinedJumpColor() {
    return Color.BLACK;
  }

  @Override
  public Color getExpressionListColor() {
    return Color.BLACK;
  }

  @Override
  public Color getFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getGlobalCommentColor() {
    return Color.BLACK;
  }

  @Override
  public Color getHitBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getImmediateColor() {
    return Color.BLACK;
  }

  @Override
  public Color getImportedFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getInactiveBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getInvalidBreakpointColor() {
    return Color.BLACK;
  }

  @Override
  public Color getLeaveInlinedJumpColor() {
    return Color.BLACK;
  }

  @Override
  public Color getLibraryFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getLocalCommentColor() {
    return Color.BLACK;
  }

  @Override
  public Color getMemRefColor() {
    return Color.BLACK;
  }

  @Override
  public Color getMnemonicColor() {
    return Color.BLACK;
  }

  @Override
  public Color getNormalFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getOperandSeparatorColor() {
    return Color.BLACK;
  }

  @Override
  public Color getOperatorColor() {
    return Color.BLACK;
  }

  @Override
  public Color getPrefixColor() {
    return Color.BLACK;
  }

  @Override
  public Color getRegisterColor() {
    return Color.BLACK;
  }

  @Override
  public Color getStringColor() {
    return Color.BLACK;
  }

  @Override
  public Color getSwitchEdgeColor() {
    return Color.BLACK;
  }

  @Override
  public Color getTagColor() {
    return Color.BLACK;
  }

  @Override
  public Color getTextEdgeColor() {
    return Color.BLACK;
  }

  @Override
  public Color getThunkFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getUnconditionalJumpColor() {
    return Color.BLACK;
  }

  @Override
  public Color getUnknownFunctionColor() {
    return Color.BLACK;
  }

  @Override
  public Color getVariableColor() {
    return Color.BLACK;
  }

  @Override
  public void setActiveBreakpointColor(final Color color) {
  }

  @Override
  public void setAddressColor(final Color color) {
  }

  @Override
  public void setAdjustorThunkFunctionColor(final Color color) {
  }

  @Override
  public void setBasicBlocksColor(final Color color) {
  }

  @Override
  public void setConditionalJumpFalseColor(final Color color) {
  }

  @Override
  public void setConditionalJumpTrueColor(final Color color) {
  }

  @Override
  public void setDeletingBreakpointColor(final Color color) {
  }

  @Override
  public void setDisabledBreakpointColor(final Color color) {
  }

  @Override
  public void setEnabledBreakpointColor(final Color color) {
  }

  @Override
  public void setEnterInlinedJumpColor(final Color color) {
  }

  @Override
  public void setExpressionListColor(final Color color) {
  }

  @Override
  public void setFunctionColor(final Color color) {
  }

  @Override
  public void setGlobalCommentColor(final Color color) {
  }

  @Override
  public void setHitBreakpointColor(final Color color) {
  }

  @Override
  public void setImmediateColor(final Color color) {
  }

  @Override
  public void setImportedFunctionColor(final Color color) {
  }

  @Override
  public void setInactiveBreakpointColor(final Color color) {
  }

  @Override
  public void setInvalidBreakpointColor(final Color color) {
  }

  @Override
  public void setLeaveInlinedJumpColor(final Color color) {
  }

  @Override
  public void setLibraryFunctionColor(final Color color) {
  }

  @Override
  public void setLocalCommentColor(final Color color) {
  }

  @Override
  public void setMemRefColor(final Color color) {
  }

  @Override
  public void setMnemonicColor(final Color color) {
  }

  @Override
  public void setNormalFunctionColor(final Color color) {
  }

  @Override
  public void setOperandSeparatorColor(final Color color) {
  }

  @Override
  public void setOperatorColor(final Color color) {
  }

  @Override
  public void setPrefixColor(final Color color) {
  }

  @Override
  public void setRegistersColor(final Color color) {
  }

  @Override
  public void setStringColor(final Color color) {
  }

  @Override
  public void setSwitchEdgeColor(final Color color) {
  }

  @Override
  public void setTagColor(final Color color) {
  }

  @Override
  public void setTextEdgeColor(final Color color) {
  }

  @Override
  public void setThunkFunctionColor(final Color color) {
  }

  @Override
  public void setUnconditionalJumpColor(final Color color) {
  }

  @Override
  public void setUnknownFunctionColor(final Color color) {
  }

  @Override
  public void setVariableColor(final Color color) {
  }

  @Override
  public void setActiveLineColor(Color color) {
  }
}
